
#import "Qello.js"

/**
 *       Function: qelloTest_signInToAccount
 *           Login to Qello through initial screen from Main Menu.
 *   
 *  \param qelloAccount (string) - Qello account
 *  \param qelloPassword (string) - Qello password
 *   
 *  \return 1 if successfully signed in, otherwise 0
 **/

function qelloTest_signInToAccount() {
    if (this.argv.length < 2) {
        this.testError = "Account information not specified.";
        return this.testResult = 0;
    }
    var qelloAccount = this.argv[0];
    var qelloPassword = this.argv[1];
    if ( ! qello.goToAlreadyAMemberAndLogin(qelloAccount, qelloPassword)) {
        this.testError = "Fail to login to Qello";
        return this.testResult = 0;
    }
    else {
        return this.testResult = 1;
    }
}

/**
 *       Function: qelloTest_signOutOfAccount
 *           Log out of Qello through Qello>Sign Out.
 *   
 *  \return 1 if successfully signed in, otherwise 0
 **/

function qelloTest_signOutOfAccount() {
    if ( ! qello.goToAndSignOut()) {
        this.testError = "Fail to log out of Qello";
        return this.testResult = 0;
    }
    else {
        return this.testResult = 1;
    }
}

/**
 *       Function: qelloTest_searchForMovie
 *           Search for movie through Netflix>Search.
 *   
 *  \param movieTitle (string) - movie title
 *   
 *  \return 1 if found, otherwise 0
 **/

function qelloTest_searchForMovie() {
    if (this.argv.length < 1) {
        this.testError = "No movie title supplied.";
        return this.testResult = 0;
    }
    var movieTitle = this.argv[0];
    if ( ! qello.searchForMovie(movieTitle)) {
        this.testError = "Fail to search for movie";
        return this.testResult = 0;
    }
    else {
        return this.testResult = 1;
    }
}
